CREATE TABLE IF NOT EXISTS `plugin_franconnect_settings` (
	`name` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
	`value` VARCHAR(255) NOT NULL COLLATE 'utf8_unicode_ci',
  PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS `plugin_franconnect_form_log` (
  `id` INT(10) UNSIGNED AUTO_INCREMENT NOT NULL,
  `form_name` VARCHAR (20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `content` TEXT COLLATE utf8_unicode_ci DEFAULT NULL,
  `status` ENUM('error', 'success') DEFAULT 'success',
  `error_message` VARCHAR (255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `service_response` TEXT COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` TIMESTAMP NULL,
  PRIMARY KEY(`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `observers_queue` (`observable`, `observer`) VALUES
('Application_Model_Models_Form', 'Tools_FranconnectFormWatchdog');

